Bug 1294530 - [abrt] gitg: g_date_time_to_instant(): gitg killed by SIGSEGV
[abrt] gitg: g_date_time_to_instant(): gitg killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gitg (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:255be06c3918881c8feeafb7d49...
:
: 1318763 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 15:15 EST by Marcin Zajaczkowski
Modified: 2016-12-20 15:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.49 KB, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: core_backtrace (14.24 KB, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: dso_list (16.71 KB, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: environ (1.64 KB, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: maps (119.26 KB, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: mountinfo (3.58 KB, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: open_fds (15.72 KB, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-12-28 15:15 EST, Marcin Zajaczkowski
no flags Details
File: var_log_messages (287 bytes, text/plain)
2015-12-28 15:16 EST, Marcin Zajaczkowski
no flags Details

  None (edit)
Description Marcin Zajaczkowski 2015-12-28 15:15:28 EST
Description of problem:
After upgraded to Fedora 23 gitg crashes in some repositories.
> Program received signal SIGSEGV, Segmentation fault.
> 0x00007ffff0a15acc in g_date_time_to_timezone () from /lib64/libglib-2.0.so.0

Full stacktrace attached.

Version-Release number of selected component:
gitg-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gitg
crash_function: g_date_time_to_instant
executable:     /usr/bin/gitg
global_pid:     22442
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_date_time_to_instant at gdatetime.c:499
 #1 g_date_time_to_timezone at gdatetime.c:2035
 #2 ggit_signature_get_time at ggit-signature.c:344
 #3 gitg_history_ref_row_compare_to at /home/nacho/checkout/gnome/gitg/gitg/history/gitg-history-refs-list.vala:253
 #4 gitg_history_refs_list_sort_rows at /home/nacho/checkout/gnome/gitg/gitg/history/gitg-history-refs-list.vala:721
 #5 _gitg_history_refs_list_sort_rows_gtk_list_box_sort_func at gitg-history-refs-list.c:7473
 #6 node_find_closest at gsequence.c:1753
 #7 node_insert_sorted at gsequence.c:1991
 #8 g_sequence_insert_sorted_iter at gsequence.c:1020
 #9 g_sequence_insert_sorted at gsequence.c:713
Comment 1 Marcin Zajaczkowski 2015-12-28 15:15:35 EST
Created attachment 1110050 [details]
File: backtrace
Comment 2 Marcin Zajaczkowski 2015-12-28 15:15:37 EST
Created attachment 1110051 [details]
File: cgroup
Comment 3 Marcin Zajaczkowski 2015-12-28 15:15:40 EST
Created attachment 1110052 [details]
File: core_backtrace
Comment 4 Marcin Zajaczkowski 2015-12-28 15:15:42 EST
Created attachment 1110053 [details]
File: dso_list
Comment 5 Marcin Zajaczkowski 2015-12-28 15:15:44 EST
Created attachment 1110054 [details]
File: environ
Comment 6 Marcin Zajaczkowski 2015-12-28 15:15:45 EST
Created attachment 1110055 [details]
File: exploitable
Comment 7 Marcin Zajaczkowski 2015-12-28 15:15:47 EST
Created attachment 1110056 [details]
File: limits
Comment 8 Marcin Zajaczkowski 2015-12-28 15:15:49 EST
Created attachment 1110057 [details]
File: maps
Comment 9 Marcin Zajaczkowski 2015-12-28 15:15:52 EST
Created attachment 1110058 [details]
File: mountinfo
Comment 10 Marcin Zajaczkowski 2015-12-28 15:15:54 EST
Created attachment 1110059 [details]
File: namespaces
Comment 11 Marcin Zajaczkowski 2015-12-28 15:15:57 EST
Created attachment 1110060 [details]
File: open_fds
Comment 12 Marcin Zajaczkowski 2015-12-28 15:15:59 EST
Created attachment 1110061 [details]
File: proc_pid_status
Comment 13 Marcin Zajaczkowski 2015-12-28 15:16:00 EST
Created attachment 1110062 [details]
File: var_log_messages
Comment 14 Marcin Zajaczkowski 2015-12-28 15:26:10 EST
IT look similar to https://bugzilla.gnome.org/show_bug.cgi?id=756454
Comment 15 Anshuman Shukla 2016-03-14 13:29:33 EDT
Similar problem has been detected:

With a specific git repository, gitg fails to start. I cann't share contents of git repo. I do not any way to generate anymore info for debugging purpose.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gitg
crash_function: g_date_time_to_instant
executable:     /usr/bin/gitg
global_pid:     2587
kernel:         4.4.4-301.fc23.x86_64
package:        gitg-3.18.0-1.fc23
reason:         gitg killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 William SK 2016-03-17 14:01:00 EDT
*** Bug 1318763 has been marked as a duplicate of this bug. ***
Comment 17 Anshuman Shukla 2016-04-20 13:46:14 EDT
Similar problem has been detected:

Launched gitg for a fairly large repository (>16K commits). Seems to work fine on smaller repositories.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gitg --no-wd
crash_function: g_date_time_to_instant
executable:     /usr/bin/gitg
global_pid:     23424
kernel:         4.4.6-301.fc23.x86_64
package:        gitg-3.18.0-1.fc23
reason:         gitg killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Sergey Svishchev 2016-05-12 14:17:10 EDT
SIMH repository (https://github.com/simh/simh) triggers the crash 100% of the time in gitg-3.18.0-1.fc23.
Comment 19 Alex Villacís Lasso 2016-06-19 21:16:21 EDT
Similar problem has been detected:

Attempted to run gitg from command line with current directory set to a git project

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gitg
crash_function: g_date_time_to_instant
executable:     /usr/bin/gitg
global_pid:     4277
kernel:         4.5.6-200.hu.1.pf4.fc23.x86_64
package:        gitg-3.18.0-1.fc23
reason:         gitg killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Alex Villacís Lasso 2016-06-27 15:29:43 EDT
Similar problem has been detected:

Attempted to run gitg on a large repository.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gitg
crash_function: g_date_time_to_instant
executable:     /usr/bin/gitg
global_pid:     27676
kernel:         4.5.7-200.fc23.x86_64
package:        gitg-3.18.0-1.fc23
reason:         gitg killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Fedora End Of Life 2016-11-24 09:33:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2016-12-20 12:26:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 23 Marcin Zajaczkowski 2016-12-20 15:49:53 EST
It seems to be fixed in F24 and F25. I cannot reproduce the problem with that particular repository.

gitg-3.22.0-2.fc25.x86_64

Note You need to log in before you can comment on or make changes to this bug.